class SignUp {
  int  id;
  String fname,
      lname,
      email,
      mobileNo,
      companyname,
      contactNumber,
      ratings,
      addressLine1,
      addressLine2,
      city,
      state,
      pincode,
      latitude,
      longitude,
      placeId,countryCode;
  SignUp({
    required this.addressLine1,
    required this.addressLine2,
    required this.city,
    required this.companyname,
    required this.contactNumber,
    required this.countryCode,
    required this.longitude,
    required this.latitude,
    required this.pincode,
    required this.placeId,
    required this.ratings,
    required this.state,
    required this.mobileNo,
    required this.fname,
    required this.lname,
    required this.id,
    required this.email,
  });
  static SignUp init() => SignUp(
        fname: '',
        lname: '',
        email: '',
        countryCode: '',
        mobileNo: '',
        addressLine1: '',
        addressLine2: '',
        city: '',
        companyname: '',
        contactNumber: '',
        longitude: '',
        latitude: '',
        pincode: '',
        placeId: '',
        ratings: '',
        state: '',
        id: 0,
      );
}

class AddBusiness {
  int countryCode, id;
  String companyname,
      contactNumber,
      ratings,
      addressLine1,
      addressLine2,
      city,
      state,
      pincode,
      latitude,
      longitude,
      placeId;
  AddBusiness({
    required this.addressLine1,
    required this.addressLine2,
    required this.city,
    required this.companyname,
    required this.contactNumber,
    required this.countryCode,
    required this.longitude,
    required this.latitude,
    required this.pincode,
    required this.placeId,
    required this.ratings,
    required this.state,
    required this.id,
  });
  static AddBusiness init() => AddBusiness(
        countryCode: 0,
        addressLine1: '',
        addressLine2: '',
        city: '',
        companyname: '',
        contactNumber: '',
        longitude: '',
        latitude: '',
        pincode: '',
        placeId: '',
        ratings: '',
        state: '',
        id: 0,
      );
}
